/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 6500, function(sym, e) {
         sym.getSymbol("children").play(1);

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'bg_stars'
   (function(symbolName) {   
   
   })("bg_stars");
   //Edge symbol end:'bg_stars'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'brazo1_parte3'
   (function(symbolName) {   
   
   })("brazo1_parte3");
   //Edge symbol end:'brazo1_parte3'

   //=========================================================
   
   //Edge symbol: 'pierna2_parte3'
   (function(symbolName) {   
   
   })("pierna2_parte3");
   //Edge symbol end:'pierna2_parte3'

   //=========================================================
   
   //Edge symbol: 'astronauta_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3072, function(sym, e) {
         //sym.getComposition().getStage().getSymbol("slide_1").getSymbol("animacion").getSymbol("astronauta_3").play("astronauta_3");
         sym.play(0); 

      });
      //Edge binding end

   })("astronauta_3");
   //Edge symbol end:'astronauta_3'

   //=========================================================
   
   //Edge symbol: 'astronauta_flota'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 2134, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("animacion").getSymbol("astronauta_3").getSymbol("astronauta_flota").play("parte_3");

      });
      //Edge binding end

   })("astronauta_flota");
   //Edge symbol end:'astronauta_flota'

   //=========================================================
   
   //Edge symbol: 'ojos_3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1598, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("animacion").getSymbol("astronauta_3").getSymbol("cabeza_3").getSymbol("ojos_3").play("ojos_3");

      });
      //Edge binding end

   })("ojos_3");
   //Edge symbol end:'ojos_3'

   //=========================================================
   
   //Edge symbol: 'brazo2_parte3'
   (function(symbolName) {   
   
   })("brazo2_parte3");
   //Edge symbol end:'brazo2_parte3'

   //=========================================================
   
   //Edge symbol: 'cabeza_3'
   (function(symbolName) {   
   
   })("cabeza_3");
   //Edge symbol end:'cabeza_3'

   //=========================================================
   
   //Edge symbol: 'pierna1_parte3'
   (function(symbolName) {   
   
   })("pierna1_parte3");
   //Edge symbol end:'pierna1_parte3'

   //=========================================================

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'bt_audio'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
      //Edge binding end

      

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      

   })("bt_audio");
   //Edge symbol end:'bt_audio'

   //=========================================================

   //=========================================================
   
   //Edge symbol: 'nave_parte3'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3500, function(sym, e) {
         // introducir código aquí
         // Reproducir la línea de tiempo en un momento o etiqueta específicos. Por ejemplo:
         // sym.play(500); o sym.play("myLabel");
         sym.getComposition().getStage().getSymbol("slide_1").getSymbol("animacion").getSymbol("nave_parte3").play("nave_3");

      });
      //Edge binding end

   })("nave_parte3");
   //Edge symbol end:'nave_parte3'

   //=========================================================
   
   //Edge symbol: 'children'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("children");
   //Edge symbol end:'children'

   //=========================================================
   
   //Edge symbol: 'sim_gras'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1750, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("sim_gras");
   //Edge symbol end:'sim_gras'

   //=========================================================
   
   //Edge symbol: 'sim_sun'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 15000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("sim_sun");
   //Edge symbol end:'sim_sun'

   //=========================================================
   
   //Edge symbol: 'Symbol_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 1000, function(sym, e) {
         sym.play(0);

      });
      //Edge binding end

   })("Symbol_1");
   //Edge symbol end:'Symbol_1'

   //=========================================================
   
   //Edge symbol: 'bt_audio_1'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
         //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         sym.stop();

      });
         //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "${_ht_spot}", "click", function(sym, e) {
         var soundId = sym.getSymbolElement().attr( "title" );
         var currentAudio=sym.getComposition().getStage().$(soundId)[0].currentTime;
         var duracion= sym.getComposition().getStage().$(soundId).duration;
         console.log("soundId="+soundId);
         if (duracion== currentAudio){
         sym.stop("up");
         }
         
         sym.getComposition().getStage().$(soundId).on('ended', function() {
         sym.stop("up");
            // enable button/link
         });
         
         console.log("currentAudio="+currentAudio);
         console.log("duracion="+duracion);
         // Definir un conmutador para reproducir o pausar una pista de audio 
         if (sym.getComposition().getStage().$(soundId)[0].paused) {
         	sym.getComposition().getStage().$(soundId)[0].play();
         	sym.stop("down");
         
         } else {
         //activar para pausar en vez de reiniciar
         	sym.getComposition().getStage().$(soundId)[0].pause();
         	sym.stop("up");
         }

      });
         //Edge binding end

      })("bt_audio_01");
   //Edge symbol end:'bt_audio_01'

})(jQuery, AdobeEdge, "EDGE-1465954919");